> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Execution Status

> Get the status and results of a workflow execution.

Returns execution status and step data keyed by unique_name.
For completed or failed steps, output data is provided as presigned URLs
since outputs can be large/complex.

Users can poll this endpoint until status is COMPLETED or FAILED.

Response:
{
    "execution_id": 123,
    "workflow_id": 456,
    "status": "IN_PROGRESS" | "COMPLETED" | "FAILED" | "QUEUED" | "PENDING",
    "created": "2025-10-22T10:00:00",
    "updated": "2025-10-22T10:05:00",
    "steps": {
        "parse": {
            "status": "COMPLETED",
            "started_at": "2025-10-22T10:00:00",
            "completed_at": "2025-10-22T10:02:00",
            "output_url": "https://presigned-url-to-output.json"
        },
        "extract": {
            "status": "IN_PROGRESS",
            "started_at": "2025-10-22T10:02:00"
        },
        "segment": {
            "status": "PENDING"
        }
    }
}



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/workflows/executions/{execution_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/workflows/executions/{execution_id}:
    get:
      summary: Get Execution Status
      description: |-
        Get the status and results of a workflow execution.

        Returns execution status and step data keyed by unique_name.
        For completed or failed steps, output data is provided as presigned URLs
        since outputs can be large/complex.

        Users can poll this endpoint until status is COMPLETED or FAILED.

        Response:
        {
            "execution_id": 123,
            "workflow_id": 456,
            "status": "IN_PROGRESS" | "COMPLETED" | "FAILED" | "QUEUED" | "PENDING",
            "created": "2025-10-22T10:00:00",
            "updated": "2025-10-22T10:05:00",
            "steps": {
                "parse": {
                    "status": "COMPLETED",
                    "started_at": "2025-10-22T10:00:00",
                    "completed_at": "2025-10-22T10:02:00",
                    "output_url": "https://presigned-url-to-output.json"
                },
                "extract": {
                    "status": "IN_PROGRESS",
                    "started_at": "2025-10-22T10:02:00"
                },
                "segment": {
                    "status": "PENDING"
                }
            }
        }
      operationId: get_execution_status_api_v1_workflows_executions__execution_id__get
      parameters:
        - name: execution_id
          in: path
          required: true
          schema:
            type: integer
            title: Execution Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````